com.hazelcast.core

## Enum ItemEventType

- java.lang.Object
- - java.lang.Enum<ItemEventType>
  - - com.hazelcast.core.ItemEventType

- All Implemented Interfaces:
    Serializable, Comparable<ItemEventType>

      public enum ItemEventType
      extends Enum<ItemEventType>

  Type of item events.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADDED` Fired when an item is added.
    `REMOVED` Fired when an item is removed.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ItemEventType` | `getByType(int eventType)`
    `int` | `getType()`
    `static ItemEventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ItemEventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADDED

          public static final ItemEventType ADDED

      Fired when an item is added.

    - #### REMOVED

          public static final ItemEventType REMOVED

      Fired when an item is removed.

  - ### Method Detail

    - #### values

          public static ItemEventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ItemEventType c : ItemEventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ItemEventType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getType

          public int getType()

    - #### getByType

          public static ItemEventType getByType(int eventType)

Copyright © 2019. All rights reserved.